﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IWS.SiteManager.Core
{
	public class Constants
	{
		public const string SettingCacheKey = "SettingCacheKey";

		//settings
		public const string SitemapOutputFile = "SitemapOutputFile";
		public const string IndexPageID = "IndexPageID";
		public const string DefaultSection = "DefaultSection";
		public const string SiteHostname = "SiteHostname";
		public const string GoogleWebMasterValue = "GoogleWebMasterValue";
		public const string GoogleWebMasterType = "GoogleWebMasterType";
		public const string GoogleAnalyticsID = "GoogleAnalyticsID";

		//Static Data
		public const string SiteMasterLocationFormatString = "~/content/themes/{0}/Site.Master";

		//ViewData Keys
		public const string ViewDataMasterPageFile = "MasterPageFile";
		public const string ViewDataTitle = "Title";
		public const string ViewDataPageCount = "PageCount";
		public const string ViewDataGoogleWebMasters = "ViewDataGoogleWebMasters";

		//session keys
		public const string SiteManagerContextKey = "SiteManagerContext";
	}
}
