﻿



















using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Linq.Expressions;
using System.Collections;
using System.ComponentModel;
using System.Data.Common;

namespace IWS.SiteManager.Core.Model
{
    
    
    /// <summary>
    /// A class which represents the ContentHistory table in the HAMPManager Database.
    /// </summary>
    public partial class ContentHistory
    {

			public ContentHistory LoadFromExisting(Model.ContentHistory data)
			{
				this.ID = data.ID;
				this.ContentID = data.ContentID;
				this.Body = data.Body;
				this.CreatedBy = data.CreatedBy;
				this.CreatedUTC = data.CreatedUTC;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the ContentComment table in the HAMPManager Database.
    /// </summary>
    public partial class ContentComment
    {

			public ContentComment LoadFromExisting(Model.ContentComment data)
			{
				this.ID = data.ID;
				this.ContentID = data.ContentID;
				this.Comment = data.Comment;
				this.Email = data.Email;
				this.Username = data.Username;
				this.Website = data.Website;
				this.IP = data.IP;
				this.ReplyToCommentID = data.ReplyToCommentID;
				this.CreatedUTC = data.CreatedUTC;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the Section table in the HAMPManager Database.
    /// </summary>
    public partial class Section
    {

			public Section LoadFromExisting(Model.Section data)
			{
				this.ID = data.ID;
				this.DefaultContentID = data.DefaultContentID;
				this.Description = data.Description;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the Poll table in the HAMPManager Database.
    /// </summary>
    public partial class Poll
    {

			public Poll LoadFromExisting(Model.Poll data)
			{
				this.ID = data.ID;
				this.Question = data.Question;
				this.Results = data.Results;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the SiteManagerSystem table in the HAMPManager Database.
    /// </summary>
    public partial class SiteManagerSystem
    {

			public SiteManagerSystem LoadFromExisting(Model.SiteManagerSystem data)
			{
				this.ID = data.ID;
				this.Version = data.Version;
				this.LastUpdatedUTC = data.LastUpdatedUTC;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the SettingType table in the HAMPManager Database.
    /// </summary>
    public partial class SettingType
    {

			public SettingType LoadFromExisting(Model.SettingType data)
			{
				this.ID = data.ID;
				this.Name = data.Name;
				this.Description = data.Description;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the Setting table in the HAMPManager Database.
    /// </summary>
    public partial class Setting
    {

			public Setting LoadFromExisting(Model.Setting data)
			{
				this.ID = data.ID;
				this.GroupName = data.GroupName;
				this.TypeID = data.TypeID;
				this.Value = data.Value;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the ContentType table in the HAMPManager Database.
    /// </summary>
    public partial class ContentType
    {

			public ContentType LoadFromExisting(Model.ContentType data)
			{
				this.ID = data.ID;
				this.Name = data.Name;
				this.Description = data.Description;
				return this;
			}

		}
    
    
    /// <summary>
    /// A class which represents the Content table in the HAMPManager Database.
    /// </summary>
    public partial class Content
    {

			public Content LoadFromExisting(Model.Content data)
			{
				this.ID = data.ID;
				this.Hide = data.Hide;
				this.SectionID = data.SectionID;
				this.ContentTypeID = data.ContentTypeID;
				this.ModifiedUTC = data.ModifiedUTC;
				this.CreatedUTC = data.CreatedUTC;
				this.ReleaseDateUTC = data.ReleaseDateUTC;
				this.CreatedBy = data.CreatedBy;
				this.Title = data.Title;
				this.Permalink = data.Permalink;
				this.Tags = data.Tags;
				this.MetaDescription = data.MetaDescription;
				this.MetaKeywords = data.MetaKeywords;
				this.Body = data.Body;
				this.Head = data.Head;
				this.ModifiedBy = data.ModifiedBy;
				return this;
			}

		}
}
