<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Template.Master" Inherits="IWS.SiteManager.Web.Views.LayoutView<IWS.SiteManager.Core.Model.Section>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Edit Section [<%=string.IsNullOrEmpty(Model.ID) ? "New Section" : Model.ID %>]</h2>
    <% using (Html.BeginForm(new { Action = "SaveSection" }))
		 {%>
    <h3>Section ID</h3> 
    <p>This is used in the site structure. For example: If Section ID is "Test", then the site address will appear as /Sections/Test". Also, new wireframe layouts will be named after this ID. See ~/Shared/Layouts folder.
		 <br /><%=Html.TextBox("SectionID", Model.ID, new { @class = "text" })%> 
		 </p>
    <h3>Description</h3>
    <p><%=Html.TextArea("Description", Model.Description)%></p>
    <p><input type="button" onclick="javascript:window.location='../Sections'" value="Back to Sections" /> <input type="submit" value="Save" /></p>
    <%} %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="HeadContent" runat="server">
	<style type="text/css">
		input.text {width: 400px;}
		textarea {width: 400px; height: 150px;}
	</style>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="EndBodyContent" runat="server">
</asp:Content>
