<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Template.Master" Inherits="IWS.SiteManager.Web.Views.LayoutView" %>
<asp:Content ID="Content2" ContentPlaceHolderID="HeadContent" runat="server">
	<script type="text/javascript">
		$(function() {
			$("#accordion").accordion();
		});
	</script>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
	<div class="breadcrumb">
		Administration
	</div>
	<h2>Dashboard</h2>
	<p>Don't forget!</p>
	<ul>
		<li>Deny access to your /Install controller by adding a location section to your app config: 
		<br />
		<pre class="brush: js; gutter: false; toolbar: false;">
&lt;location path=&quot;Install&quot;&gt;
    &lt;system.web&gt;
        &lt;authorization&gt;
            &lt;allow roles=&quot;Admins&quot;/&gt;
            &lt;deny users=&quot;*&quot;/&gt;
        &lt;/authorization&gt;
    &lt;/system.web&gt;
&lt;/location&gt;
</pre></li>
		<li>Create a <%=Html.ActionLink("new section","Sections","Manage") %>.</li>
		<li>Set your default section in the <%=Html.ActionLink("settings here.", "Settings", "Manage")%>.</li>
		<li>Set your hostname in the settings section. (This will allow SEO settings to work properly).</li>
		<li>Create a new default page for your new section.</li>
		<li>Set your <%=Html.ActionLink("SEO options", "SEO","Manage") %>!</li>
		<li>Optionally, you can browse directly to a path and create a page and sections on the fly. Be sure to follow the route rules: /View/{section}/{permalink}</li>
	</ul>
</asp:Content>
